### Method

# Gio Settings get

since: 2.26

#### Declaration [src]

    void
    g_settings_get (
      GSettings* settings,
      const gchar* key,
      const gchar* format,
      ...
    )

#### Description [src]

Gets the value that is stored at `key` in `settings`.

A convenience function that combines `g_settings_get_value()` with `g_variant_get()`.

It is a programmer error to give a `key` that isn’t contained in the schema for `settings` or for the `GVariantType` of `format` to mismatch the type given in the schema.

Available since: 2.26

This method is not directly available to language bindings.

#### Parameters

`key`

  Type: `const gchar*`

  The key to get the value for.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`format`

  Type: `const gchar*`

  A `GVariant` format string.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  Arguments as per `format`.